#!/bin/bash

if [ "x$PERLCROSS_HOME" = "x" ] ; then
  source ./perl-devel.sh
fi

export HOME=$PERL_CROSS_HOME

export PATH=$PERL_CROSS_HOME/hostperl-5.16.0/bin:$PATH


if [ ! -d perldroid ] ; then
  echo "Untarring Perldroid source"
  tar xvzf perldroid-r298.tar.gz
fi

cd $PERL_CROSS_HOME/perldroid/libperl/perl-5.16.0/Cross \
 && ./prepare_perl_from_svn.sh \
 \
 && cd $PERL_CROSS_HOME/perl-arm-5.16.0-14/Cross/ \
 && make -f Makefile.android perl \
 && cd $PERL_CROSS_HOME

echo "****"
echo "* Done."
echo "****"
